#!/bin/sh
. /etc/scripts/sysdef
. $sys_status
case "$1" in
	start)
		iptables -t nat -I POSTROUTING -s $LAN_IP/$LAN_MASK -j MASQUERADE -o $WAN_IF
	;;
	stop)
		iptables -t nat -D POSTROUTING -s $LAN_IP/$LAN_MASK -j MASQUERADE -o $WAN_IF
	;;
	restart)
		$0 stop
		$0 start
	;;
esac	
