#!/bin/sh
. /etc/scripts/sysdef
. $sys_status

case "$1" in
	start)
		if [ -f /flash/ripd.conf ] ; then
		cat /flash/ripd.conf |
		read text;
		if [ "$text" != "!0" ] ; then		
			zebra &
			iptables -I INPUT -p udp -s $LAN_IP/$LAN_MASK --dport 520 -j ACCEPT
			iptables -I INPUT -p tcp -s $LAN_IP/$LAN_MASK --dport 2600 -j ACCEPT
			touch /var/state/rip.lock
		fi
		fi
	;;
	stop)
		if [ -f /var/state/rip.lock ] ; then		
			kill -9 `pidof zebra`
			rm -f /var/state/rip.lock
		fi
	;;
	restart)
		$0 stop
		$0 start
	;;
esac

