#!/bin/sh
. /etc/scripts/sysdef
. $sys_status

case "$1" in
	start)
	# make sure pluto is not running
	if [ "`pidof pluto`" = "" ]; then
		if [ "$2" != "1" ] ; then		
			pluto --nat_traversal --keep_alive $3
			pluto --secretsfile /flash/ipsec.secrets --adns /bin/_pluto_adns
		fi
	fi
	;;
	stop)
	# make sure pluto is running\n"
	if [ "`pidof pluto`" != "" ]; then
		kill `pidof pluto`
    fi
	;;
	restart)
		$0 stop
		$0 start
	;;
esac

