#!/bin/sh

case "$1" in
  deconfig)

	/sbin/ifconfig $interface down
	/sbin/ifconfig $interface 0.0.0.0
	/sbin/ifconfig $interface up
	echo "I am in deconfig"
#	echo 0 > /tmp/ppp/wan_connect_status
	;;

  bound|renew)
  
	#echo 2 > /tmp/ppp/wan_connect_status
  	#kill -9 `pidof zebra`
  	[ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
	[ -n "$subnet" ] && NETMASK="netmask $subnet"

	echo "/sbin/ifconfig $interface $ip $BROADCAST $NETMASK"
	/sbin/ifconfig $interface $ip $BROADCAST $NETMASK

	if [ -n "$router" ]
	then
		echo "deleting routers"
		while route del default gw 0.0.0.0 dev $interface
		do :
		done

		for i in $router
		do
			route add default gw $i dev $interface
		done
	fi

	echo -n > /tmp/ppp/resolv.conf
#	[ -n "$domain" ] && echo domain $domain >> /tmp/ppp/resolv.conf
	for i in $dns
	do
		echo adding dns $i
		echo nameserver $i >> /tmp/ppp/resolv.conf
	done

	if [ -f /flash/dns.conf ] 
	then
	    cat /flash/dns.conf| 
	    read a;
	    if [ "$a" = "1" ]
	    then
		cp /tmp/ppp/resolv.conf  /etc/resolv.conf
	    else
		cp /flash/resolv.conf /etc/resolv.conf
	    fi
	fi

	#echo 1 > /tmp/ppp/wan_connect_status
	#echo "Firewall Restart"
	#/etc/scripts/fw.sh stop
	#/etc/scripts/fw.sh start

  	;;

esac
