<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<META http-equiv="Pragma" content="no-cache">
<META http-equiv="Expires" content="-1">
<link rel="stylesheet" type="text/css" href="default.css">
<SCRIPT language="javascript" src="utility.js"></SCRIPT>
<SCRIPT language="javascript">
var UPNPPort_old;

function setV(value)
{
	var form = document.misc;
	var enable = value=="1";

	form.UPNPPort.disabled = !enable;
}

function load_Misc()
{
	var form = document.misc;

 	var str_UPnP_type="<% get_misc_mod("upnp",0,"checked"); %>";
	
	UPNPPort_old = form.UPNPPort.value;
	
	if (str_UPnP_type == "checked")
		setV("0");
	else
		setV("1");
}
	
function verifyform() 
{
	var form = document.misc;
        
	if (!isValidNumeric(form.HttpPort.value,"Http port")) {
        	form.HttpPort.focus();
	        return false;
    	}
	form.UPNPPort.disabled = false;  
	if (form.UPNP[0].checked) {
		if (!isValidNumeric(form.UPNPPort.value,"UPnP port")) {
			form.UPNPPort.focus();
			return false;
		}
	}
	else
		form.UPNPPort.value = UPNPPort_old;


	if (form.read.value.length <= 0) {
	    alert("Please Input Read Community!");
	    form.read.focus();
	    return false;
	}

	if (form.ipadd1.value!="0.0.0.0")
	if (!isValidIP(form.ipadd1.value,"IP")){
	    form.ipadd1.focus();
	    return false;
	}

	if (form.write.value.length <= 0) {
	    alert("Please Input Write Community!");
	    form.write.focus();
	    return false;
	}

	if (form.ipadd2.value!="0.0.0.0")
	if (!isValidIP(form.ipadd2.value,"IP")){
	    form.ipadd2.focus();
	    return false;
	}

	if (form.trap.value.length > 0) {
	    if(!isValidIP(form.ipadd3.value,"IP")) {
		form.ipadd3.focus();
		return false;
	    }
	}

	if (form.v3user.value.length > 0){
	    if(form.v3pass.value.length < 8) {
		alert("SNMPv3 password be least 8 characters long!");
		return false;
	    }
	}

	    form.apply.disabled=true;
	    form.reset.disabled=true;
		form.submit();
	return true;
}
</SCRIPT>
</HEAD>
<BODY onload=load_Misc(); class="main" link="#3300cc" alink="#ff0000" vlink="#990066">
<FORM method="post" name=misc  action="goform/misc">
<TABLE border="1" cellpadding="0" cellspacing="0" scrolling="no" style="border-collapse: collapse" bordercolor="#FFFFFF" width="80%">
	<TR><TD class="headline" colSpan=4>Device Management</TD></TR>

	<TR><TD class="header" colSpan=4><NOBR>Embedded Web Server</NOBR></TD></TR>
	<TR><TD class="title"><NOBR>HTTP Port</TD>
	        <TD><INPUT type=text name=HttpPort size="15" maxlength=5 value="<% get_misc_status("HttpPort"); %>"></TD>
	        <TD colSpan=2>(80 is default HTTP port)</NOBR></TD></TR>
	        <INPUT type=hidden name=IP size="15" maxlength=15 value="<% get_misc_status("IP"); %>">
	        <INPUT type=hidden name=logouttime size="15" maxlength="4" value="<% get_misc_status("logouttime"); %>">
	<!--
	<TR><TD class="title"><NOBR>Management IP Address</TD>
	        <TD><INPUT name=IP size="15" maxlength=15 value="<% get_misc_status("IP"); %>"></TD>
	        <TD colSpan=2>('0.0.0.0' means Any)</NOBR></TD></TR>
	<TR><TD class="title"><NOBR>Expire to auto-logout</TD>
	        <TD><INPUT name=logouttime size="15" maxlength="4" value="<% get_misc_status("logouttime"); %>"></TD>
	        <TD colSpan=2>seconds</TD></TR>
	-->
	<TR><TD class="header" colSpan=4><NOBR>Universal Plug and Play (UPnP)</NOBR></TD></TR>
	<TR><TD class="title"><NOBR>UPnP</NOBR></TD>
	        <TD colSpan=3><NOBR>
	        	<INPUT type="radio" name="UPNP" value="1" onClick="setV(this.value)" <% get_misc_mod("upnp",1,"checked"); %>>Enable&nbsp;&nbsp;&nbsp;
	        	<INPUT type="radio" name="UPNP" value="0" onClick="setV(this.value)" <% get_misc_mod("upnp",0,"checked"); %> >Disable</TD></TR>
	<TR><TD class="title"><NOBR>UPnP Port</TD>
	        <TD colSpan=3>
	        	<INPUT name=UPNPPort size="15" value="<% get_misc_status("upnpport"); %>"></NOBR></TD></TR>

	<TR><TD class="header" colSpan=4><NOBR>Telnet Configuration</NOBR></TD></TR>
	<TR><TD class="title"><NOBR>Telnet</NOBR></TD>
	        <TD colSpan=3><NOBR>
	        	<INPUT type="radio" name="Telnet" value="1" <% get_misc_mod("telnet",1,"checked"); %>>Enable&nbsp;&nbsp;&nbsp;
	        	<INPUT type="radio" name="Telnet" value="0" <% get_misc_mod("telnet",0,"checked"); %>>Disable</TD></TR>
			
	<TR><TD class="header" colSpan="4"><NOBR>SNMP Access Control</NOBR></TD></TR>
	<TR><TD class="title"><NOBR>SNMP</NOBR></TD>
	<TD colSpan=3><NOBR>
	  <INPUT type="radio" name="snmp" value="1" <% get_misc_mod("snmp",1,"checked"); %>>Enable&nbsp;&nbsp;&nbsp;
	  <INPUT type="radio" name="snmp" value="0" <% get_misc_mod("snmp",0,"checked"); %>>Disable</TD></TR>
	<TR><TD class="title"><NOBR>SNMP V1 and V2</NOBR></TD>
            <TD colspan="3"></TD></TR>
	<TR><TD class="title"><NOBR>Read Community</NOBR></TD>
	  <TD><INPUT name="read" size="15" maxlength="15" value="<% get_misc_status("SNMPRCOMM"); %>"></TD>
	  <TD class="title"><NOBR>IP Address</NOBR></TD>
	  <TD><INPUT name="ipadd1" size="15" maxlength="15" value="<% get_misc_status("SNMPRIP"); %>"></TD></TR>
	<TR><TD class="title"><NOBR>Write Community</NOBR></TD>
	  <TD><INPUT name="write" size="15" maxlength="15" value="<% get_misc_status("SNMPWCOMM"); %>"></TD>
	  <TD class="title"><NOBR>IP Address</NOBR></TD>
	  <TD><INPUT name="ipadd2" size="15" maxlength="15" value="<% get_misc_status("SNMPWIP"); %>"></TD></TR>
	<TR><TD class="title"><NOBR>Trap Community</NOBR></TD>
	  <TD><INPUT name="trap" size="15" maxlength="15" value="<% get_misc_status("SNMPTCOMM"); %>"></TD>
	  <TD class="title"><NOBR>IP Address</NOBR></TD>
	  <TD><INPUT name="ipadd3" size="15" maxlength="15" value="<% get_misc_status("SNMPTIP"); %>"></TD></TR>
	<TR><TD class="title"><NOBR>SNMP V3</NOBR></TD>
            <TD colspan="3"></TD></TR>
	<TR><TD class="title"><NOBR>Username</NOBR></TD>
	  <TD><INPUT name="v3user" size="15" maxlength="15" value="<% get_misc_status("SNMPv3USER"); %>"></TD>
	  <TD class="title"><NOBR>Password</NOBR></TD>
	  <TD><INPUT name="v3pass" size="15" maxlength="15" value="<% get_misc_status("SNMPv3PASS"); %>"></TD></TR>
	<TR><TD class="title"><NOBR>Access Right</NOBR></TD>
          <TD colspan="3"><NOBR><INPUT type="radio" name="v3access" value="0" <% get_misc_mod("v3access",0,"checked"); %>>Read
	  &nbsp;&nbsp;&nbsp;<INPUT type="radio" name="v3access" value="1" <% get_misc_mod("v3access",1,"checked"); %>>Read/Write</TD></TR>
<!--
	<TR><TD class="title"><NOBR>IP Address</NOBR></TD>
	    <TD colspan="3"><INPUT name="v3ip" size="15" value="<% get_misc_status("SNMPv3IP"); %>"></TD></TR>
-->
	<TR><TD class=headline colSpan=4><BR>
			<INPUT type="button" name=apply value="Apply" onclick="verifyform();">&nbsp; 
			<INPUT type="button" name=reset value="Cancel" onClick="location.reload();">
			</TD></TR>
	</FORM>
</TABLE>
</BODY>
</HTML>
