#!/bin/sh
. /var/etc/status

case "$1" in
	start)
		ifconfig $WAN_IF $WAN_IP netmask $WAN_MASK 
		ifconfig $WAN_IF up 
		if [ "$GATEWAY" != "0.0.0.0" ] ; then
			route add default gw $GATEWAY
		fi	
		;;	
	stop)
		ifconfig $WAN_IF down 
		if [ "$GATEWAY" != "0.0.0.0" ] ; then
			route del default gw 0.0.0.0
		fi	
		;;	
	restart)
		$0 stop
		$0 start 
		;;
esac
