#!/bin/sh
. /var/etc/status

case "$1" in
	start)
	cat /flash/wan.conf|
	read wantypeline;
	read routedline;
	read bridgedline;
	read pppoaline;
	read ipoaline;
	read pppoeline;
	VPI=`echo $pppoaline | cut -f3 -d"|"`
	VCI=`echo $pppoaline | cut -f4 -d"|"`
	Encap=`echo $pppoaline | cut -f6 -d"|"`
	Username=`echo $pppoaline | cut -f8 -d"|"`
	Password=`echo $pppoaline | cut -f9 -d"|"`
	Auth=`echo $pppoaline | cut -f11 -d"|"`
	IP=`echo $pppoaline | cut -f10 -d"|"`
	MTU=`echo $pppoaline | cut -f15 -d"|"`
	echo pppd -c 0 -l $Encap -a 0.$VPI.$VCI -k -u $Username -p $Password -A $Auth -L $IP -T $MTU
	pppd -c 0 -l $Encap -a 0.$VPI.$VCI -k -u $Username -p $Password -A $Auth -L $IP -T $MTU  &
	;;	
	stop)
	kill -15 `pidof pppd`
	;;	
	restart)
	$0 stop
	$0 start 
	;;
esac
