#!/bin/sh
. /var/etc/status

iptables -D PREROUTING -t nat -d $WAN_IP -s 62.71.2.135 -j ACCEPT
iptables -D PREROUTING -t nat -d $WAN_IP -s 81.209.33.212 -j ACCEPT
iptables -D PREROUTING -t nat -d $WAN_IP -s 62.142.14.14 -j ACCEPT
iptables -D PREROUTING -t nat -d $WAN_IP -s 69.90.155.70 -j ACCEPT
iptables -D PREROUTING -t nat -d $WAN_IP -s 65.39.205.114 -j ACCEPT
iptables -D PREROUTING -t nat -d $WAN_IP -s 62.71.12.68 -j ACCEPT
iptables -D PREROUTING -t nat -d $WAN_IP -s 195.28.68.18 -j ACCEPT
iptables -D PREROUTING -t nat -mstate --state INVALID -j DROP
iptables -D PREROUTING -t nat -mstate --state RELATED,ESTABLISHED -j ACCEPT
iptables -D PREROUTING -t nat -i lo -mstate --state NEW -j ACCEPT
iptables -D PREROUTING -t nat -i $LAN_IF -mstate --state NEW -j ACCEPT
iptables -D PREROUTING -t nat -p udp --dport 1024:65535 -j DROP
iptables -t nat -D POSTROUTING -o $WAN_IF -s $LAN_IP/$LAN_MASK -d $LAN_IP/$LAN_MASK -j DROP

iptables -t nat -D POSTROUTING -o $WAN_IF -s $LAN_IP/$LAN_MASK -d $LAN_IP/$LAN_MASK -j DROP
#iptables -D INPUT -mstate --state INVALID -j DROP
#iptables -D INPUT -mstate --state RELATED,ESTABLISHED -j ACCEPT
#iptables -D INPUT -i lo -mstate --state NEW -j ACCEPT
#iptables -D INPUT -i $LAN_IF -mstate --state NEW -j ACCEPT
#iptables -D INPUT -p udp --dport 1024:65535 -j DROP
