#!/bin/sh
. /etc/scripts/sysdef
. $sys_status
case "$1" in
	start)
		cat /flash/snmpd.desc |
		read a;
		if [ "$a" = "1" ] ; then
			echo "snmpd  start"
			/usr/sbin/snmpd -f &
			iptables -I INPUT -p udp -s $LAN_IP/$LAN_MASK --dport 161 -j ACCEPT
			touch /var/state/snmpd.lock
		fi
		;;
	stop)
		if [ -f /var/state/snmpd.lock ] ; then		
			echo "snmpd stop"
			iptables -D INPUT -p udp -s $LAN_IP/$LAN_MASK --dport 161 -j ACCEPT
			kill -9 `pidof snmpd`
			rm -f /var/state/snmpd.lock
		fi
		;;
	restart)
		$0 stop 
		$0 start 
		;;
esac
