#!/bin/sh

cat /flash/vlan.conf|
read a rule11 rule12 rule13 rule14 rule21 rule22 rule23 rule24 rule31 rule32 rule33 rule34 rule41 rule42 rule43 rule44 mask1 mask2 mask3 mask4;

case "$1" in
	start)
	case "$a" in
		1)
		echo "vlan port setting support"
		echo "mask1[$mask1]"
		echo "mask2[$mask2]"
		echo "mask3[$mask3]"
		echo "mask4[$mask4]"
		if [ "$mask1" != "0" ] ; then
			echo "vlan port setting 1"
			vpctrl vlan $mask1
		fi
		if [ "$mask2" != "0" ] ; then
			echo "vlan port setting 2"
			vpctrl vlan $mask2
		fi
		if [ "$mask3" != "0" ] ; then
			echo "vlan port setting 3"
			vpctrl vlan $mask3
		fi
		if [ "$mask4" != "0" ] ; then
		echo "vlan port setting 4"
		vpctrl vlan $mask4
		fi
		vpctrl rst lan	
		touch /var/state/vlan.lock
		;;
		2)
		touch /var/state/vlan.lock
		;;
	esac
	;;
	stop)
		if [ -f /var/state/vlan.lock ] ; then		
			vpctrl active no
			rm -f /var/state/vlan.lock
		fi
		;;
	restart)
		$0 stop
		$0 start
		;;
esac
