var IPBoxList = new Array(30);
var MACBoxList = new Array(30);
var list = new Array(30);
var IPBoxNum = 0;
var MACBoxNum = 0
var list_num = 0;
var delete_warn_msg = "Do you want to delete this item?";


function CheckLegalString(str, legal_char)
{
    for ( i = 0 ; i < str.length ; i++ )
        if ( legal_char.indexOf(str.charAt(i)) == -1 )  
        	return false;
   	return true;
}

function RestrictServiceName()
{
    if ( event.keyCode >= 48 && event.keyCode <= 57 ||
         event.keyCode >= 65 && event.keyCode <= 90 || 
         event.keyCode == 32 || event.keyCode == 95 )
        event.returnValue = true;
    else if ( event.keyCode >= 97 && event.keyCode <= 122 )
    	event.keyCode -= 97 - 65; // to upper case
    else
        event.returnValue = false;
}

function CheckServiceName(str)
{
    if ( CheckLegalString(str.value, " _0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ") == false )  {
	    str.value = "";
       	return false;
    }
    return true;
}

function CheckNumKey()
{
    if (event.keyCode < 48 || event.keyCode > 57)
        event.returnValue = false;
}

function CheckIP(str, range)
{
    if ( str.value != "" && 
        (range == 1 ? str.value>255 : str.value==0||str.value>=255) )   {
    	str.value = "";
    	return false;
    }
    if ( CheckLegalString(str.value, "0123456789") == false )  {
	    str.value = "";
       	return false;
    }
    return true;
}

function CheckHexKey()
{
    if ( (event.keyCode >= 48 && event.keyCode <= 57) || 
         (event.keyCode >= 65 && event.keyCode <= 70) )
        event.returnValue = true;
    else if ( event.keyCode >= 97 && event.keyCode <= 102 )  {
        event.returnValue = true;
    	event.keyCode -= 97 - 65;  // to upper case
    }
    else
        event.returnValue = false;
}

function CheckHex(str)
{
    if ( str.value == "" )
      	return false;
    if ( CheckLegalString(str.value, "abcdefABCDEF0123456789") == false )  {
	    str.value = "";
       	return false;
    }
    return true;
}

function CheckPortBox(str)
{
    if ( CheckLegalString(str.value, "0123456789") == false || parseInt(str.value) > 65535 )  {
	    str.value = "";
       	return false;
    }
    return true;
}

function add_ip_to_check_list(name)
{
	if ( IPBoxNum < 30 )   IPBoxList[IPBoxNum++] = name;
}

function add_mac_to_check_list(name)
{
	if ( MACBoxNum < 30 )   MACBoxList[MACBoxNum++] = name;
}

function check_ip_boxes(name, show)
{
	var form = document.form1;
	var i, box_name, obj;
    for ( i = 1 ; i <= 4 ; i++ )  {
    	box_name = name + i;
   		if ( form[box_name].disabled == false )   {
			obj = form[box_name];
			if ( obj.value == "" || obj.value > 255 )   {
    			obj.value = "";
    			alert( "Illegal IP : " + show);
    			return false;
   			}
   		}
   	}
}

function check_mac_boxes(name, show)
{
	var form = document.form1;
	var i, box_name;
    for ( i = 1 ; i <= 6 ; i++ )  {
    	box_name = name + i;
    	if ( form[box_name].disabled == false )   {
    		if ( CheckHex(form[box_name]) == false )   {
    			alert( "Illegal MAC : " + show);
    			return false;
    		}
    		else  {
    			if ( form[box_name].value.length == 1 )
    				form[box_name].value = "0" + form[box_name].value;
    		}
    	}
    }
}

function check_all_list()
{
	var i;
    for ( i = 0 ; i < IPBoxNum ; i++ )  {
    	if ( check_ip_boxes(IPBoxList[i], IPBoxList[i]) == false )
    	   	return false;
    }
    for ( i = 0 ; i < MACBoxNum ; i++ )  {
    	if ( check_mac_boxes(MACBoxList[i]) == false )
    	   	return false;
    }
    return true;
}

function switch_ip_boxes(name, enable)
{
	var form = document.form1;
	form[name].disabled = enable ? false : true;
    //for ( i = 1 ; i <= 4 ; i++ )
   	//	form[name + i].disabled = enable ? false : true;
}

function switch_mac_boxes(name, enable)
{
	var form = document.form1;
	form[name].disabled = enable ? false : true;
    for ( i = 1 ; i <= 6 ; i++ )
   		form[name + i].disabled = enable ? false : true;
}

function combine_ip_boxes(name)
{
	var form = document.form1;
	form[name].value = "";
    for ( i = 1 ; i <= 4 ; i++ )  {
    	form[name].value += form[name + i].value;
    	if ( i <= 3 )  form[name].value += ".";
    }
    if ( form[name].value == "..." )  form[name].value = "";
}

function combine_mac_boxes(name)
{
	var form = document.form1;
	form[name].value = "";
    for ( i = 1 ; i <= 6 ; i++ )  {
    	form[name].value += form[name + i].value;
    	if ( i <= 5 )  form[name].value += ":";
    }
    if ( form[name].value == ":::::" )  form[name].value = "";
}

function is_ip_nonempty(name)
{
	var form = document.form1;
	return form[name+"1"].value != "" || form[name+"2"].value != "" ||
	       form[name+"3"].value != "" || form[name+"4"].value != "";
}

function add_setup_item(new_item, cmd_str, list_name, max_item)
{
    var form = document.form1;
    var arglist;
    if ( list_num >= max_item )  {
        alert("List full!");
        return false;
    }
    arglist = "/cgi-bin/setup.cgi?" + cmd_str + "&" 
              + list_name + "=" + new_item;
    for ( i = 0 ; i < list_num ; i++ )
        arglist += ";" + (form["enable"+i].checked?"":"*") + list[i];
    //alert(arglist);
    document.location.href = arglist;
    return true;
}

function del_setup_item(del_item, cmd_str, list_name)
{
    var i, c, arglist;
    var form = document.form1;
    arglist = "/cgi-bin/setup.cgi?" + cmd_str + "&" + list_name + "=";
    for ( c = i = 0 ; i < list_num ; i++ )   {
    	if ( i == del_item )  continue;
    	if ( ++c > 1 )  arglist += ';';
    	if ( !form["enable"+i].checked )  arglist += '*';
    	arglist += list[i];
    }
    //	alert(arglist);
    if ( confirm(delete_warn_msg) )
		document.location.href = arglist;
}

function combine_setup_item(list_var)
{
	var form = document.form1;
    var arglist = "";
    for ( i = 0 ; i < list_num ; i++ )   {
    	if ( !form["enable"+i].checked )  arglist += '*';
    	arglist += list[i];
    	if ( i < list_num - 1 )   arglist += ';';
    }
    // alert(arglist);
    list_var.value = '"' + arglist + '"';
}
