function isInValidRange(s,low,high) {
 	if((isNaN(s))||(s<low||s>high))
    		return false;
	else
		return true;
}

function isInValidLess(s,low) {
 	if((isNaN(s))||(s<low))
	    	return false;
	else
		return true;
}

function isBlank(s) {
	if (s.length==0)
		return true;
	for(i=0;i<s.length;i++) {
		c = s.charAt(i);
		if( (c==' ')||(c=='\n')||(c=='\t') )
			return true;
	}
	return false;
}

function cutleadingzeros(s){
	x=0,y=0,z=0;
	var st;
	if (s.length>1)
	{
	while (s.charAt(x) == '0')
		x++;
	for(y=0;y<s.length;y++) {
		c = s.charAt(y);
		if (c != '0')
			z++;
	}
	if (z==0)
		st='0';
	else {
		if (s.length != 1) 
		st = s.substring(x, s.length);
	}
        return st;
	}
	else
        return s;
	
}

function verifyHexString(str) {
	var ch = /^[a-fA-F0-9]+$/;
	if ((str == null) || (str.length == 0))
		return false;
	return ch.test(str);
}

function verifyMacAddr (MACvalue) {
	if (MACvalue.length != 17) {
		return false;
	}
	var a = MACvalue.split(":");
	if (a.length != 6) {
		return false;
	}
	for (var i = 0; i < 6; i++) {
		if (a[i].length != 2)
			return false
		if (verifyHexString(a[i]) == false) {
			return false;
		}
	}
	return true;
}

function verifyIpAddrRange(rs, re, addr) {
	var rsl = rs.split(".");
	var rel = re.split(".");
	var addrl = addr.split(".");
	var l = parseInt(rsl[3]);
	var m = parseInt(rel[3]);
	var c = parseInt(addrl[3]);
	if ((c >= l) && (c <= m)) {
		return false;
	}
	return true;
}

function verifyAlphaNumeric(str) {
	var ch = /^[a-zA-Z0-9]+$/;
	if ((str == null) || (str.length == 0))
		return false;
	return ch.test(str);
}

function verifyNumeric(str) {
	var ch = /^[0-9]+$/;
	if ((str == null) || (str.length == 0))
		return false;
	return ch.test(str);
}

function verifyString(str){
	strstyle="1 2";
	var StrArray = strstyle.split(" ");
	StrArray[0]="Host Name";
	if (str.length==0){
		StrArray[1]="required!!.";
		tempstr=StrArray.join(" ");
		alert(tempstr);
                return false;
	}
	for(i=0;i<str.length;i++){
		c = str.charAt(i);
		if (c == '&'){
			StrArray[1]="not include &!!";
			tempstr=StrArray.join(" ");
			alert(tempstr);
			return false;
		}
	}

	if (isBlank(str) == true) {
		StrArray[1]="invalid string";
		tempstr=StrArray.join(" ");
		alert(tempstr);
		return false;
	}
	return true;
}

function isValidNumeric(s,arrayname) {
	strstyle="1 2";
	var StrArray = strstyle.split(" ");
	StrArray[0]=arrayname;
	if (s.length==0){
		StrArray[1]="required!!.";
		tempstr=StrArray.join(" ");
		alert(tempstr);
                return false;
	}
	s = cutleadingzeros(s);
	if (s=="0"){
		StrArray[1]="not be equal to zero!!.";
		tempstr=StrArray.join(" ");
		alert(tempstr);
                return false;
	}
	var ch = /^[0-9]+$/;
	if (!(ch.test(s))){
		StrArray[1]="not numeric!!.";
		tempstr=StrArray.join(" ");
		alert(tempstr);
                return false;
	}
	tempstr=s;
return true;
}

function isValidString(s,arrayname){
	strstyle="1 2";
	var StrArray = strstyle.split(" ");
	StrArray[0]=arrayname;
	if (s.length==0){
		StrArray[1]="required!!.";
		tempstr=StrArray.join(" ");
		alert(tempstr);
                return false;
	}
	for(i=0;i<s.length;i++){
		c = s.charAt(i);
		if (c == '&'){
			StrArray[1]="not include &!!";
			tempstr=StrArray.join(" ");
			alert(tempstr);
			return false;
		}
	}

	if (isBlank(s) == true) {
		StrArray[1]="invalid string";
		tempstr=StrArray.join(" ");
		alert(tempstr);
		return false;
	}
	return true;
}

function isValidString_Without_Blank(s,arrayname){
	strstyle="1 2";
	var StrArray = strstyle.split(" ");
	StrArray[0]=arrayname;
 
	for(i=0;i<s.length;i++){
		c = s.charAt(i);
		if (c == '&'){
			StrArray[1]="not include &!!";
			tempstr=StrArray.join(" ");
			alert(tempstr);
			return false;
		}
	}

	return true;
}

function isValidDomainString(s,arrayname){
	var j=0;	
	for(i=0;i<s.length;i++) {
		c = s.charAt(i);
		if (c == '.')
			j++;
	}

	if (j!=0){
		strstyle="1 2";
		var StrArray = strstyle.split(" ");
		StrArray[0]=arrayname;
		var a = s.split(".");
			if (a.length == 0) {
				StrArray[1]="after . must have string";
				tempstr=StrArray.join(" ");
				alert(tempstr);
				return false;
			}		
			for (i = 0; i < a.length; i++) {
				if (verifyAlphaNumeric(a[i]) == false) {
					StrArray[1]="is not AlphaNumeric";
					tempstr=StrArray.join(" ");
					alert(tempstr);
					return false;
				}
			}
	}
	else{
		if (isValidString(s,arrayname)==false)
			return false;
	}
return true;
}

function isValidAdminPassword(s){
        if (s.length > 256)
		return false;
	else{
		for(i=0;i<s.length;i++) {
		c = s.charAt(i);
		if (c == '&')
		return false;
		}
	}
	return true;
}

function isValidDialupNumber(s){
	for(i=0;i<s.length;i++) {

		c = s.charAt(i);

		if (c == "-" || c == "(" || c ==")" || c =="," || c =="*" || c =="#")
		continue;

		if (c == "&" || c == ";" || c =="^" || c =="@" || c =="!" || c =="#")
		continue;

		if ((c >="A" && c<= "D")||(c>="a" && c<="d"))
		continue;

		if (c == "L" || c == "l" || c =="T" ||c =="t" || c=="P" || c=="p" ||c=="W" ||c=="w")
		continue;



		if (c < "0" || c > "9")
		return false;
	}
	return true;
}

function isStringsEqual(s1,s2){
	if (s1.length != s2.length)
		return false;
	for(i=0;i<s1.length;i++) {
		if (s1.charAt(i) != s2.charAt(i))
			return false;
	}
	return true;
}

function isValidIPorEmpty(s) {
 tempstr = s;
 ip_array = (0,0,0,0);

 if (isBlank(s))
    return true;
 else
 	{
		var IParray = s.split(".");

		if ((IParray.length>4)||(IParray.length<2)) 
			return false;

		for (i=0;i<IParray.length;i++)
		{
			st = IParray[i];
			if (isNaN(st)||(st=="")){
				return false;
			}
			if ((st<0)||(st>255))
				return false;
				
		IParray[i] = cutleadingzeros(st);
		}


		if (IParray.length==2)
		{
			IParray[3] = IParray[1];
			IParray[1] = 0;
			IParray[2] = 0;
		}
		else if (IParray.length==3)
		{
			IParray[3] = IParray[2];
			IParray[2] = 0;
		}
		if (((IParray[3]==0)||(IParray[3]==255))&&(tempstr!="0.0.0.0"))
			return false;
			
		if (IParray[0]==0)
		        return false;

		ip_array = IParray;
		tempstr = IParray.join(".");
	}
  return true;
}

function isValidIPorReplaceEmpty(s) {
 tempstr = s;
 ip_array = (0,0,0,0);

 if (isBlank(s))
 {
	tempstr	= "0.0.0.0";
 }
 else
 	{
		var IParray = s.split(".");

		if ((IParray.length>4)||(IParray.length<2))
			return false;

		for (i=0;i<IParray.length;i++)
		{
			st = IParray[i];
			if (isNaN(st)||(st=="")){
				return false;
			}
			if ((st<0)||(st>255))
				return false;

		IParray[i] = cutleadingzeros(st);
		}


		if (IParray.length==2)
		{
			IParray[3] = IParray[1];
			IParray[1] = 0;
			IParray[2] = 0;
		}
		else if (IParray.length==3)
		{
			IParray[3] = IParray[2];
			IParray[2] = 0;
		}
		if (((IParray[3]==0)||(IParray[3]==255))&&(tempstr!="0.0.0.0"))
			return false;
		
		if (IParray[0]==0)
		        return false;

		ip_array = IParray;
		tempstr = IParray.join(".");
	}
  return true;
}

function isValidIP(s,arrayname){
	strstyle="1 2";
	var StrArray = strstyle.split(" ");
	StrArray[0]=arrayname;
	tempstr = s;
	ip_array = (0,0,0,0);

	if ((s=="0.0.0.0")||(s=="255.255.255.255")){
		StrArray[1]="must not be (0.0.0.0) or (255.255.255.255).!!";
		tempstr=StrArray.join(" ");
		alert(tempstr);
		return false;
	}
	var IParray = s.split(".");

	if (IParray.length != 4){ 
		StrArray[1]="style must be xxx.xxx.xxx.xxx.!!";
		tempstr=StrArray.join(" ");
		alert(tempstr);
		return false;
	}
	for (i=0;i<IParray.length;i++){
		st = IParray[i];
		if (isNaN(st)||(st=="")||(st<0)||(st>255)||(!(verifyNumeric(st)))){
			StrArray[1]="style invalid!!";
			tempstr=StrArray.join(" ");
			alert(tempstr);
			return false;
		}
	IParray[i] = cutleadingzeros(st);
	}
	if (IParray.length==2){
		IParray[3] = IParray[1];
		IParray[1] = 0;
		IParray[2] = 0;
	}
	else if (IParray.length==3){
		IParray[3] = IParray[2];
		IParray[2] = 0;
 	}
        if ((IParray[3]==0)||(IParray[3]==255)){
		StrArray[1]="not XXX.XXX.XXX.0 or XXX.XXX.XXX.255!!";
		tempstr=StrArray.join(" ");
		alert(tempstr);
		return false;
	}	
	ip_array = IParray;
	tempstr = IParray.join(".");
return true;
}

function isValidHostIP(s,arrayname){
	strstyle="1 2";
	var StrArray = strstyle.split(" ");
	StrArray[0]=arrayname;
	tempstr = s;
	ip_array = (0,0,0,0);
	if ((s=="0.0.0.0")||(s == "255.255.255.255")){
		StrArray[1]="must not be (0.0.0.0) or (255.255.255.255).!!";
		tempstr=StrArray.join(" ");
		alert(tempstr);
		return false;
	}
	var IParray = s.split(".");
	if (IParray.length != 4){ 
		StrArray[1]="style must be xxx.xxx.xxx.xxx.!!";
		tempstr=StrArray.join(" ");
		alert(tempstr);
		return false;
	}
	for (i=0;i<IParray.length;i++){
		st = IParray[i];
		if (isNaN(st)||(st=="")||(st<0)||(st>255)||(!(verifyNumeric(st)))){
			StrArray[1]="style invalid!!";
			tempstr=StrArray.join(" ");
			alert(tempstr);
			return false;
		}
			IParray[i] = cutleadingzeros(st);
	}
	if (IParray.length==2){
		IParray[3] = IParray[1];
		IParray[1] = 0;
		IParray[2] = 0;
	}
	else if (IParray.length==3){
		IParray[3] = IParray[2];
		IParray[2] = 0;
	}
	if ((IParray[3]>=255)||(IParray[0]>223)||(IParray[3]<=0)||(IParray[0]==127)){
		StrArray[1]="style invalid!!";
		tempstr=StrArray.join(" ");
		alert(tempstr);
		return false;
	}
	ip_array = IParray;
	tempstr = IParray.join(".");
	return true;
}


function isValidMask(s,arrayname){
	strstyle="1 2";
	var StrArray = strstyle.split(" ");
	StrArray[0]=arrayname;
	tempstr = s;
	ip_array = (0,0,0,0);
	if ((s=="0.0.0.0")||(s=="255.255.255.255")){
		StrArray[1]="must not be (0.0.0.0) or (255.255.255.255).!!";
		tempstr=StrArray.join(" ");
		alert(tempstr);
		return false;
	}
	var IParray = s.split(".");
 	var bin = new Array();
	if (IParray.length!=4){
		StrArray[1]="style must be xxx.xxx.xxx.xxx.!!";
		tempstr=StrArray.join(" ");
		alert(tempstr);
		return false;
	}
	for (i=0;i<4;i++){
		st = IParray[i];
		if (isNaN(st)||(st=="")||(st<0)||(st>255)||(!(verifyNumeric(st)))){
			StrArray[1]="style invalid!!";
			tempstr=StrArray.join(" ");
			alert(tempstr);
			return false;
		}
		temp = cutleadingzeros(st);
		for (j=0;j<8;j++){
			bin[8*i+7-j] = temp%2;
			temp = (temp - temp%2)/2;
		}
		IParray[i] = cutleadingzeros(st);
	}
	for (k=0; k<31; k++){
		if(bin[k]<bin[k+1]){
			StrArray[1]="style invalid!!";
			tempstr=StrArray.join(" ");
			alert(tempstr);
			return false;
		}
	}
	ip_array = IParray;
	tempstr = IParray.join(".");
	return true;
}

function isValidMaskorReplaceEmpty(s) {
 tempstr = s;
 ip_array = (0,0,0,0);

 if (isBlank(s))
 {
	tempstr	= "0.0.0.0";
 }
 	{
		var IParray = s.split(".");
	 	var bin = new Array();

		if (IParray.length!=4)
			return false;

		for (i=0;i<4;i++)
		{
			st = IParray[i];
			if (isNaN(st)||(st=="")) {
				return false;
			}
			if ((st<0)||(st>255))
				return false;

			temp = cutleadingzeros(st);
			for (j=0;j<8;j++)
			{
				bin[8*i+7-j] = temp%2;
				temp = (temp - temp%2)/2;
			}

			IParray[i] = cutleadingzeros(st);
		}
		for (k=0; k<31; k++)
		{
			if(bin[k]<bin[k+1])
				return false;
		}
		ip_array = IParray;
		tempstr = IParray.join(".");
	}
  return true;
}


function tmprn(s,sel) {
for(ii=0;ii<10;ii++)
{
if(ii==sel)
se="selected";
else
se="";
document.write("<option  value=",ii," ",se,">0",ii);
}
for(ii=10;ii<s;ii++)
{
if(ii==sel)
se="selected";
else
se="";
document.write("<option  value=",ii," ",se,">",ii);
}
}
function verifySubnet (IPvalue,IP1,Netmask1) {
	var ipPattern = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
	var ipArray = IPvalue.match(ipPattern);
	var ipArray1 = IP1.match(ipPattern);
	var NetmaskArray1 = Netmask1.match(ipPattern);
	if (ipArray == null)
		return false;
	var netmaskNum = parseInt(NetmaskArray1[1])<< 24;
	netmaskNum |= parseInt(NetmaskArray1[2])<< 16;
	netmaskNum |= parseInt(NetmaskArray1[3])<< 8;
	netmaskNum |= parseInt(NetmaskArray1[4]);
	var lanIpNum = parseInt(ipArray1[1])<< 24;
	lanIpNum |= parseInt(ipArray1[2])<< 16;
	lanIpNum |= parseInt(ipArray1[3])<< 8;
	lanIpNum |= parseInt(ipArray1[4]);
	var numToCheck = parseInt(ipArray[1]) << 24;
	numToCheck |= parseInt(ipArray[2]) << 16;
	numToCheck |= parseInt(ipArray[3]) << 8;
	numToCheck |= parseInt(ipArray[4]);
	if ((numToCheck & netmaskNum) != (lanIpNum & netmaskNum))
		return false;
	return true;
}

function chkIP(t,z,zl) {
		e=0;
		len=t.value.length;
		ipstr=t.value;
		j=0;
		i=0;
		var ipval=new Array(0,0,0,0);
		if(len==0){
			if(!zl)
				e++;
		}
		else {
			while(j<4){
				ipval[j]=parseInt(ipstr,10);
			if(!((ipval[j]>=0)&&(ipval[j]<=255)))
				e++;
				i+=(String(ipval[j]).length+1);
				ipstr=t.value.slice(i,len);
				j++;
			}
			if(!(i>len && (z || ipval[0])))
				e++;
		}

		if(e) {
			alert("Input Error!!");
			t.focus();
		}
	return e;
}

function chkInt(le,t,se,zl) 
{
		e=0;
		le1=le;
		se1=se;
		val=parseInt(t.value,10);
		if(t.value==""){
			if(!zl)
				e++;
		}
		else {
			if(le>se){
				le1=se;
				se1=le;
			}
			if(t.value.length!=String(val).length || val<le1 || val>se1 || isNaN(val))
				e++;
		}
		
		if(e) {
			alert("Input Error!!");t.focus();
		}
	return e;
}

