/* $Id: r2300_misc.S,v 1.8 1999/12/08 22:05:10 harald Exp $
 * misc.S: Misc. exception handling code for R3000/R2000.
 *
 * Copyright (C) 1994, 1995, 1996 by Ralf Baechle and Andreas Busse
 *
 * Multi-CPU abstraction reworking:
 * Copyright (C) 1996 David S. Miller (dm@engr.sgi.com)
 *
 * Further modifications to make this work:
 * Copyright (c) 1998 Harald Koerfgen
 * Copyright (c) 1998, 1999 Gleb Raiko & Vladimir Roganov
 */
#include <asm/asm.h>
#include <asm/current.h>
#include <asm/bootinfo.h>
#include <asm/cachectl.h>
#include <asm/fpregdef.h>
#include <asm/mipsregs.h>
#include <asm/page.h>
#include <asm/pgtable.h>
#include <asm/processor.h>
#include <asm/regdef.h>
#include <asm/segment.h>
#include <asm/stackframe.h>

	.text
	.set	mips1
	.set	noreorder

	.align	5
NESTED(handle_tlbl, PT_SIZE, sp)
        move    a0, CP0_STATUS 
        move    a1, CP0_CAUSE
        move    a2, CP0_EPC
        move    a3, CP0_BADVADDR
        jal     print_tlb_exception
        nop
	PRINT("TLBL exception\n");
1:      j       1b
         nop
END(handle_tlbl)

	.align	5
NESTED(handle_tlbs, PT_SIZE, sp)
        move    a0, CP0_STATUS 
        move    a1, CP0_CAUSE
        move    a2, CP0_EPC
        move    a3, CP0_BADVADDR
        jal     print_tlb_exception
        nop
	PRINT("TLBS exception\n");
1:      j       1b
         nop
END(handle_tlbs)

	.align	5
NESTED(handle_mod, PT_SIZE, sp)
        move    a0, CP0_STATUS 
        move    a1, CP0_CAUSE
        move    a2, CP0_EPC
        move    a3, CP0_BADVADDR
        jal     print_tlb_exception
        nop
	PRINT("TLBMOD exception\n");
1:      j       1b
         nop
END(handle_mod)
	.set	reorder
